Subject: bug#58041: [PATCH] docview: Use svg images when using mupdf for conversion

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Jan 2023 10:48:49 +0200

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 12 Jan 2023 13:50:24 +0530
> 
> >> +Note that MuPDF SVG generation is known to sometimes generate files
> >> +that are buggy or can take a long time to render.
> >
> > The last sentence makes me wonder why we made a less-than-perfect
> > option the default.  It's against our usual conservative approach.
> 
> When I daily drove the patch to test it, I did not hit into the troubles
> mentioned above so I turned the feature on by default but if the
> troubles come up a lot more often, then I agree that it should be off by
> default.

How frequently this happens probably depends on the use pattern, and
those can differ between people.